Skip to content
This repository

The PHP client library for the GoCardless API

README.md

GoCardless PHP Client Library

The GoCardless PHP client provides a simple PHP interface to the GoCardless API.

The following links may be useful:

You can also use GoCardless via the PHP Payments library and CodeIgniter Payments spark.

Requirements

The GoCardless PHP client requires version 5.3 of PHP.

Upgrade notes

Since 0.4.0, the default environment for the library is sandbox, not production.

To make your code work for production use, you'll then need to explicitly set the environment to production. Simply add this line of code before the call to GoCardless::set_account_details:

GoCardless::$environment = 'production';

Installation

The files you need to use the GoCardless API are in the /lib folder.

Install from source

$ git clone git://github.com/gocardless/gocardless-php.git

Installing from the tarball

$ curl -L https://github.com/downloads/gocardless/gocardless-php/gocardless-php-v0.4.2.tgz | tar xzv

Download the Zip

Click here to download the zip file.

Installing with Composer

Add gocardless/gocardless to the contents of your composer.json:

{
    "require": {
        "gocardless/gocardless": ">=0.4.2"
    }
}

Build Status

Something went wrong with that request. Please try again.